<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>ConfigurationDeclaration (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ConfigurationDeclaration (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConfigurationDeclaration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationBuilderProvider.html" title="interface in org.apache.commons.configuration2.builder.combined"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/builder/combined/FileExtensionConfigurationBuilderProvider.html" title="class in org.apache.commons.configuration2.builder.combined"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" target="_top">Frames</a></li>
<li><a href="ConfigurationDeclaration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.apache.commons.configuration2.beanutils.XMLBeanDeclaration">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.builder.combined</div>
<h2 title="Class ConfigurationDeclaration" class="title">Class ConfigurationDeclaration</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html" title="class in org.apache.commons.configuration2.beanutils">org.apache.commons.configuration2.beanutils.XMLBeanDeclaration</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.builder.combined.ConfigurationDeclaration</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ConfigurationDeclaration</span>
extends <a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html" title="class in org.apache.commons.configuration2.beanutils">XMLBeanDeclaration</a></pre>
<div class="block"><p>
 A specialized <code>BeanDeclaration</code> implementation that represents the
 declaration of a configuration source.
 </p>
 <p>
 Instances of this class are able to extract all information about a
 configuration source from the configuration definition file. The declaration
 of a configuration source is very similar to a bean declaration processed by
 <code>XMLBeanDeclaration</code>. There are very few differences, e.g. some
 reserved attributes like <code>optional</code> and <code>at</code>, and the fact that a
 bean factory is never needed.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: ConfigurationDeclaration.java 1624601 2014-09-12 18:04:36Z oheger $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.apache.commons.configuration2.beanutils.XMLBeanDeclaration">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.apache.commons.configuration2.beanutils.<a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html" title="class in org.apache.commons.configuration2.beanutils">XMLBeanDeclaration</a></h3>
<code><a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#ATTR_BEAN_CLASS">ATTR_BEAN_CLASS</a>, <a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#ATTR_BEAN_FACTORY">ATTR_BEAN_FACTORY</a>, <a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#ATTR_FACTORY_PARAM">ATTR_FACTORY_PARAM</a>, <a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#ATTR_PREFIX">ATTR_PREFIX</a>, <a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#RESERVED_PREFIX">RESERVED_PREFIX</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html#ConfigurationDeclaration-org.apache.commons.configuration2.builder.combined.CombinedConfigurationBuilder-org.apache.commons.configuration2.HierarchicalConfiguration-">ConfigurationDeclaration</a></span>(<a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilder</a>&nbsp;builder,
                        <a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&nbsp;config)</code>
<div class="block">Creates a new instance of <code>ConfigurationDeclaration</code> and
 initializes it.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html#getAt--">getAt</a></span>()</code>
<div class="block">Returns the value of the <code>at</code> attribute.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html#getBeanClassName--">getBeanClassName</a></span>()</code>
<div class="block">Returns the bean's class name.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html#getBeanFactoryName--">getBeanFactoryName</a></span>()</code>
<div class="block">Returns the name of the bean factory.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilder</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html#getConfigurationBuilder--">getConfigurationBuilder</a></span>()</code>
<div class="block">Returns the associated configuration builder.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html#getName--">getName</a></span>()</code>
<div class="block">Returns the name for the represented configuration source.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html#isForceCreate--">isForceCreate</a></span>()</code>
<div class="block">Returns a flag whether this configuration should always be created and
 added to the resulting combined configuration.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html#isOptional--">isOptional</a></span>()</code>
<div class="block">Returns a flag whether this is an optional configuration.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html#isReload--">isReload</a></span>()</code>
<div class="block">Returns a flag whether a builder with reloading support should be
 created.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>protected boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html#isReservedAttributeName-java.lang.String-">isReservedAttributeName</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Checks if the specified attribute name is reserved and thus does not
 point to a property of the bean to be created.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.apache.commons.configuration2.beanutils.XMLBeanDeclaration">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.apache.commons.configuration2.beanutils.<a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html" title="class in org.apache.commons.configuration2.beanutils">XMLBeanDeclaration</a></h3>
<code><a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#getAttributeNames--">getAttributeNames</a>, <a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#getBeanFactoryParameter--">getBeanFactoryParameter</a>, <a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#getBeanProperties--">getBeanProperties</a>, <a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#getConfiguration--">getConfiguration</a>, <a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#getConstructorArgs--">getConstructorArgs</a>, <a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#getDefaultBeanClassName--">getDefaultBeanClassName</a>, <a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#getNestedBeanDeclarations--">getNestedBeanDeclarations</a>, <a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#interpolate-java.lang.Object-">interpolate</a>, <a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#isReservedChildName-java.lang.String-">isReservedChildName</a>, <a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#isReservedName-java.lang.String-">isReservedName</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ConfigurationDeclaration-org.apache.commons.configuration2.builder.combined.CombinedConfigurationBuilder-org.apache.commons.configuration2.HierarchicalConfiguration-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ConfigurationDeclaration</h4>
<pre>public&nbsp;ConfigurationDeclaration(<a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilder</a>&nbsp;builder,
                                <a href="../../../../../../org/apache/commons/configuration2/HierarchicalConfiguration.html" title="interface in org.apache.commons.configuration2">HierarchicalConfiguration</a>&lt;?&gt;&nbsp;config)</pre>
<div class="block">Creates a new instance of <code>ConfigurationDeclaration</code> and
 initializes it.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>builder</code> - the associated configuration builder</dd>
<dd><code>config</code> - the configuration this declaration is based onto</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getConfigurationBuilder--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConfigurationBuilder</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/commons/configuration2/builder/combined/CombinedConfigurationBuilder.html" title="class in org.apache.commons.configuration2.builder.combined">CombinedConfigurationBuilder</a>&nbsp;getConfigurationBuilder()</pre>
<div class="block">Returns the associated configuration builder.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the configuration builder</dd>
</dl>
</li>
</ul>
<a name="getAt--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAt</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getAt()</pre>
<div class="block">Returns the value of the <code>at</code> attribute.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the <code>at</code> attribute (can be <b>null</b>)</dd>
</dl>
</li>
</ul>
<a name="isOptional--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isOptional</h4>
<pre>public&nbsp;boolean&nbsp;isOptional()</pre>
<div class="block">Returns a flag whether this is an optional configuration.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a flag if this declaration points to an optional configuration</dd>
</dl>
</li>
</ul>
<a name="isForceCreate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isForceCreate</h4>
<pre>public&nbsp;boolean&nbsp;isForceCreate()</pre>
<div class="block">Returns a flag whether this configuration should always be created and
 added to the resulting combined configuration. This flag is evaluated
 only for optional configurations whose normal creation has caused an
 error. If for such a configuration the <code>forceCreate</code> attribute is
 set and the corresponding configuration provider supports this mode, an
 empty configuration will be created and added to the resulting combined
 configuration.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the <code>forceCreate</code> attribute</dd>
</dl>
</li>
</ul>
<a name="isReload--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isReload</h4>
<pre>public&nbsp;boolean&nbsp;isReload()</pre>
<div class="block">Returns a flag whether a builder with reloading support should be
 created. This may not be supported by all configuration builder
 providers.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a flag whether a reloading builder should be created</dd>
</dl>
</li>
</ul>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getName()</pre>
<div class="block">Returns the name for the represented configuration source. The name is
 optional, so this method can return <b>null</b>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name of the associated configuration source or <b>null</b></dd>
</dl>
</li>
</ul>
<a name="getBeanFactoryName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBeanFactoryName</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getBeanFactoryName()</pre>
<div class="block">Returns the name of the bean factory. For configuration source
 declarations always a reserved factory is used. This factory's name is
 returned by this implementation.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html#getBeanFactoryName--">getBeanFactoryName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#getBeanFactoryName--">getBeanFactoryName</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html" title="class in org.apache.commons.configuration2.beanutils">XMLBeanDeclaration</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name of the bean factory</dd>
</dl>
</li>
</ul>
<a name="getBeanClassName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBeanClassName</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getBeanClassName()</pre>
<div class="block">Returns the bean's class name. This implementation will always return
 <b>null</b>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html#getBeanClassName--">getBeanClassName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/apache/commons/configuration2/beanutils/BeanDeclaration.html" title="interface in org.apache.commons.configuration2.beanutils">BeanDeclaration</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#getBeanClassName--">getBeanClassName</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html" title="class in org.apache.commons.configuration2.beanutils">XMLBeanDeclaration</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name of the bean's class</dd>
</dl>
</li>
</ul>
<a name="isReservedAttributeName-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isReservedAttributeName</h4>
<pre>protected&nbsp;boolean&nbsp;isReservedAttributeName(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</pre>
<div class="block">Checks if the specified attribute name is reserved and thus does not
 point to a property of the bean to be created. This method is called when
 processing the attributes of this bean declaration. It is then possible
 to ignore some attributes with a specific meaning. This implementation
 delegates to <a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#isReservedName-java.lang.String-"><code>XMLBeanDeclaration.isReservedName(String)</code></a>. This implementation checks for additional reserved
 attribute names. Note that in some cases the presence of other attribute
 names determine whether a name is reserved or not. For instance, per
 default the attribute <code>config-at</code> is reserved. However, if this
 attribute is not present, the attribute <code>at</code> is also considered as
 a reserved attribute. (This is mainly done for dealing with legacy
 configuration files supported by earlier versions of this library.)</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html#isReservedAttributeName-java.lang.String-">isReservedAttributeName</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../org/apache/commons/configuration2/beanutils/XMLBeanDeclaration.html" title="class in org.apache.commons.configuration2.beanutils">XMLBeanDeclaration</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - the name of the attribute to be checked</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a flag whether this name is reserved</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConfigurationDeclaration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/commons/configuration2/builder/combined/ConfigurationBuilderProvider.html" title="interface in org.apache.commons.configuration2.builder.combined"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/builder/combined/FileExtensionConfigurationBuilderProvider.html" title="class in org.apache.commons.configuration2.builder.combined"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/builder/combined/ConfigurationDeclaration.html" target="_top">Frames</a></li>
<li><a href="ConfigurationDeclaration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.apache.commons.configuration2.beanutils.XMLBeanDeclaration">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
